#include "widget.h"

#include <random>

ImGuiID widget::generate_widget_id() {
    // random number generator
    std::random_device rd;
    std::mt19937 gen(rd());
    std::uniform_int_distribution<ImGuiID> dis(0, std::numeric_limits<ImGuiID>::max());
    return dis(gen);
}
