#pragma once
#include "extern.h"
#include "imgui.h"
#include "imgui_internal.h"

extern "C" {
    void HideTabBar();
}

namespace ImGui {
    inline void HideTabBar()
    {
        ImGuiWindowClass window_class;
        window_class.DockNodeFlagsOverrideSet = ImGuiDockNodeFlags_NoWindowMenuButton;
        // window_class.DockNodeFlagsOverrideSet = ImGuiDockNodeFlags_NoTabBar;
        SetNextWindowClass(&window_class);
    }
}